MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023427Open CASCADE[OCCT] OCCT:Foundation Classespublic2012-09-11 10:502014-05-05 13:38
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0023427: Unused C-sources in OSD package
DescriptionThere are several strange files in OSD package:
 - OSD_Cmailbox.c
 - OSD_Csemaphore.c
 - OSD_Csharedmemory.c
 - OSD_Getkey.c
 - OSD_PerfMeter.c

This is suggested to:
 - drop "OSD_Cmailbox.c" (unused), "OSD_Csemaphore.c" (already replaced by "OSD_Semaphore.cxx") and "OSD_Csharedmemory.c" (already replaced by "OSD_SharedMemory.cxx")
 - move osd_getkey() from "OSD_Getkey.c" to "OSD_Semaphore.cxx"
 - convert "OSD_PerfMeter.c" to "OSD_PerfMeter.cxx" and drop "OSD_PerfMeter.h" header (move public interface to "OSD_PerfMeter.hxx" if necessary)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021899)
aba (developer)
2012-10-23 15:10

1) Dropped files:
 OSD_Cmailbox.c (as unused), OSD_Csemaphore.c, OSD_Csharedmemory.c
2) Function ocd_getkey() was moved from OSD_Getkey.c to OSD_Semaphore.cxx
3) OSD_PerfMeter.c was converted to OSD_PerfMeter.cxx
4) Inreface in OSD_PerfMeter.h,which is used in OSD_PerfMeter.hxx, was moved to OSD_PerfMeter.hxx. OSD_PerfMeter.h was removed.
(0021900)
aba (developer)
2012-10-23 15:12

The Git branch CR23427 is ready to be reviewed.
Dear oan, please review.
(0021901)
abv (manager)
2012-10-23 15:26

In OSD_PerfMeter.hxx, please change location of C function declarations: it is now inserted between class documentation comment and declaration of the class OSD_PerfMeter, hence comment will not be properly taken by Doxygen.

Furthermore, check carefully if removal of OSD_PerfMeter.h is justified: note that it must be usable from C code. Current version of OSD_PerfMeter.hxx is not usable as it contains inclusion of OCCT headers and class declaration not protected by "#ifdef __cplusplus". My advise is to restore .h back.
(0021904)
aba (developer)
2012-10-23 15:48

The interface(from OSD_PerfMeter.h) was removed from OSD_PerfMeter.hxx, and OSD_PerfMeter.h was restored.
(0022026)
apn (administrator)
2012-10-31 11:17

Dear BugMaster,
Branch CR23427 (and products from GIT master) has compilation errors on Linux and Windows platforms.

FSD_File.cxx:20:19: error: OSD.hxx: No such file or directory
In file included from ../../../drv/FSD/FSD_CmpFile.jxx:32,
                 from ../../../drv/FSD/FSD_CmpFile.ixx:6,
                 from ../../../src/FSD/FSD_CmpFile.cxx:19:
../../../inc/FSD_CmpFile.hxx:23:31: error: OSD_Real2String.hxx: No such file or directory
../../../src/FSD/FSD_CmpFile.cxx:20:19: error: OSD.hxx: No such file or directory
In file included from ../../../drv/FSD/FSD_CmpFile.jxx:32,
                 from ../../../drv/FSD/FSD_CmpFile.ixx:6,
                 from ../../../src/FSD/FSD_CmpFile.cxx:19:
../../../inc/FSD_CmpFile.hxx:314: error: 'OSD_Real2String' does not name a type
../../../src/FSD/FSD_CmpFile.cxx: In member function 'virtual Storage_BaseDriver& FSD_CmpFile::PutReal(Standard_Real)':
../../../src/FSD/FSD_CmpFile.cxx:539: error: 'myRealConv' was not declared in this scope
../../../src/FSD/FSD_CmpFile.cxx: In member function 'virtual Storage_BaseDriver& FSD_CmpFile::PutShortReal(Standard_ShortReal)':
../../../src/FSD/FSD_CmpFile.cxx:571: error: 'myRealConv' was not declared in this scope
../../../src/FSD/FSD_CmpFile.cxx: In member function 'virtual Storage_BaseDriver& FSD_CmpFile::GetReal(Standard_Real&)':
../../../src/FSD/FSD_CmpFile.cxx:672: error: 'myRealConv' was not declared in this scope
../../../src/FSD/FSD_CmpFile.cxx: In member function 'virtual Storage_BaseDriver& FSD_CmpFile::GetShortReal(Standard_ShortReal&)':
../../../src/FSD/FSD_CmpFile.cxx:701: error: 'myRealConv' was not declared in this scope
(0022057)
aba (developer)
2012-11-01 14:59

Unused file names were deleted from src/OSD/FILES:
1)OSD_Cmailbox.c, OSD_Csemaphore.c, OSD_Csharedmemory.c,OSD_Getkey.c
2)OSD_PerfMeter.c was replaced on OSD_PerfMeter.cxx
(0022058)
aba (developer)
2012-11-01 15:01

The Git branch CR23427 is ready to be reviewed.
Please review.
(0022059)
abv (manager)
2012-11-01 15:25

Reviewed, please test
(0022066)
omy (developer)
2012-11-02 11:02

Dear aba,

When I tried to build an app with libTKernel.so on
CentOS 5.5 64bit / SUSE LES 10 SP2 64bit
and got these messages from linker:
.../lib/libTKernel.so: undefined reference to 'remove_mailbox' and so on.

That's why I suppose that deleted files OSD_Cmailbox.c and OSD_Csharedmemory.c are used on Unix-based OS-s (see OSD_MailBox.cxx, line 31, OSD_SharedMemory.cxx, line 34 for details).

Please, check it.
(0022084)
apn (administrator)
2012-11-02 16:14

We have a same problem.
(0022098)
aba (developer)
2012-11-06 14:05

OSD_Cmailbox.c, OSD_Csharedmemory.c and OSD_getkey.c was restored,
and FILES was edited, as these files provides functions for Unix code in OSD_MailBox.cxx and OSD_SharedMemory.cxx.
(0022099)
aba (developer)
2012-11-06 14:05

Please review.
(0022163)
abv (manager)
2012-11-08 19:40

I believe there is no sense removing only one C file. We should either check and remove all unused and doubtful classes and files (OSD_C*.c, OSD_Getkey.c, OSD_MailBox.*, OSD_Semaphore.*, OSD_SharedMemory.*, OSD_Disk.*, OSD_Printer.*, OSD_Error*) or keep them if they are potentially useful.

For the time being, I have removed the branch CR23427.
(0027387)
abv (manager)
2014-01-04 14:04

Maxim, please consider removing files listed in my previous note from OSD package, I guess this can facilitate porting on new platforms
(0027784)
mmv (developer)
2014-02-05 19:39

Deleted files:
OSD_Getkey.c
OSD_Cmailbox.c
OSD_CSharedMemory.c
OSD_CSemaphore.c
OSD_Mailbox.cxx
OSD_SharedMemory.cxx
OSD_Semaphore.cxx
OSD_Mailbox.cdl
OSD_SharedMemory.cdl
OSD_Semaphore.cdl
(0027792)
kgv (developer)
2014-02-06 10:14
edited on: 2014-02-06 10:16

Dear bugmaster,
please test CR23427 branch. Please check WOK compilation as well to ensure that there no references have been left to removed sources.

Dear mmv,
please read bugtracker work-flow manual.
Message to the first commit in the patch should start with bug name "0023427: Unused C-sources in OSD package".
After switching bug to "resolved" state it should be assigned to reviewer.

(0027813)
mkv (tester)
2014-02-07 13:44

Dear BugMaster,

Branch CR23427 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 638cbecf2aa6ec9a058674af89bedc3115aeb8df

Number of compiler warnings:

occt component :
Linux: 44 (44 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 371679844 / 372423156
Total CPU difference: 41537.41000000021 / 43919.69000000019

Testing on Windows:
Total MEMORY difference: 419029420 / 409834624
Total CPU difference: 32334.15625 / 35405.109375

There are not differences in images found by testdiff.

- Related Changesets
occt: master 97f7a9d8
Timestamp: 2014-02-05 13:20:39
Author: mmv
Committer: apn
Details ] Diff ]
0023427: Unused C-sources in OSD package

Deleted unused sources in OSD package
mod - src/OSD/FILES Diff ] File ]
rm - src/OSD/OSD_Cmailbox.c Diff ] File ]
rm - src/OSD/OSD_Csemaphore.c Diff ] File ]
rm - src/OSD/OSD_Csharedmemory.c Diff ] File ]
rm - src/OSD/OSD_Getkey.c Diff ] File ]
rm - src/OSD/OSD_MailBox.cdl Diff ] File ]
rm - src/OSD/OSD_MailBox.cxx Diff ] File ]
rm - src/OSD/OSD_Semaphore.cdl Diff ] File ]
rm - src/OSD/OSD_Semaphore.cxx Diff ] File ]
rm - src/OSD/OSD_SharedMemory.cdl Diff ] File ]
rm - src/OSD/OSD_SharedMemory.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-09-11 10:50 kgv New Issue
2012-09-11 10:50 kgv Assigned To => dbv
2012-10-18 12:55 abv Assigned To dbv => aba
2012-10-20 10:44 abv Status new => assigned
2012-10-20 10:44 abv Target Version 6.5.4 => 6.6.0
2012-10-23 15:10 aba Note Added: 0021899
2012-10-23 15:12 aba Note Added: 0021900
2012-10-23 15:13 aba Status assigned => resolved
2012-10-23 15:16 aba Assigned To aba => oan
2012-10-23 15:26 abv Note Added: 0021901
2012-10-23 15:26 abv Assigned To oan => aba
2012-10-23 15:26 abv Status resolved => assigned
2012-10-23 15:48 aba Note Added: 0021904
2012-10-23 15:54 aba Status assigned => resolved
2012-10-23 15:58 abv Assigned To aba => bugmaster
2012-10-23 15:58 abv Status resolved => reviewed
2012-10-23 16:02 aba Assigned To bugmaster => oan
2012-10-23 16:28 mkv Assigned To oan => mkv
2012-10-31 11:17 apn Note Added: 0022026
2012-10-31 11:17 apn Test case number => Not needed
2012-10-31 11:17 apn Assigned To mkv => aba
2012-10-31 11:17 apn Status reviewed => assigned
2012-11-01 14:59 aba Note Added: 0022057
2012-11-01 15:01 aba Note Added: 0022058
2012-11-01 15:01 aba Status assigned => resolved
2012-11-01 15:02 aba Assigned To aba => abv
2012-11-01 15:25 abv Note Added: 0022059
2012-11-01 15:25 abv Assigned To abv => bugmaster
2012-11-01 15:25 abv Status resolved => reviewed
2012-11-02 11:02 omy Note Added: 0022066
2012-11-02 15:48 mkv Assigned To bugmaster => mkv
2012-11-02 16:14 apn Note Added: 0022084
2012-11-02 16:14 apn Assigned To mkv => aba
2012-11-02 16:14 apn Status reviewed => assigned
2012-11-06 14:05 aba Note Added: 0022098
2012-11-06 14:05 aba Note Added: 0022099
2012-11-06 14:05 aba Assigned To aba => abv
2012-11-06 14:05 aba Status assigned => resolved
2012-11-08 19:40 abv Note Added: 0022163
2012-11-08 19:40 abv Status resolved => assigned
2012-11-08 19:44 abv Target Version 6.6.0 => Unscheduled
2014-01-04 14:02 abv Assigned To abv => mmv
2014-01-04 14:04 abv Note Added: 0027387
2014-02-05 19:39 mmv Note Added: 0027784
2014-02-05 19:39 mmv Status assigned => resolved
2014-02-06 10:14 kgv Note Added: 0027792
2014-02-06 10:14 kgv Assigned To mmv => bugmaster
2014-02-06 10:14 kgv Severity minor => integration request
2014-02-06 10:14 kgv Status resolved => reviewed
2014-02-06 10:14 kgv Target Version Unscheduled => 6.7.1
2014-02-06 10:15 kgv Note Edited: 0027792 View Revisions
2014-02-06 10:16 kgv Note Edited: 0027792 View Revisions
2014-02-06 11:30 mkv Assigned To bugmaster => mkv
2014-02-07 13:44 mkv Note Added: 0027813
2014-02-07 15:43 mkv Assigned To mkv => bugmaster
2014-02-07 15:43 mkv Status reviewed => tested
2014-02-14 12:00 apn Changeset attached => occt master 97f7a9d8
2014-02-14 12:00 apn Assigned To bugmaster => apn
2014-02-14 12:00 apn Status tested => verified
2014-02-14 12:00 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker